gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object

Gdk's is a low-level module which renders RGB, grayscale, and indexed colormap images to a . It does this as efficiently as possible, handling issues such as colormaps, visuals, dithering, temporary buffers, and so on. Most code should use the higher-level GdkPixbuf features in place of this module; for example, gdk_pixbuf_render_to_drawable() uses GdkRGB in its implementation.

GdkRGB allocates a color cube to use when rendering images. You can set the threshold for installing colormaps with the Gdk. property. The default is 5x5x5 (125). If a colorcube of this size or larger can be allocated in the default colormap, then that's done. Otherwise, GdkRGB creates its own private colormap. Setting it to 0 means that it always tries to use the default colormap, and setting it to 216 means that it always creates a private one if it cannot allocate the 6x6x6 colormap in the default. If you always want a private colormap (to avoid consuming too many colormap entries for other apps, say), you can use gdk_rgb_set_install(TRUE). Setting the value greater than 216 exercises a bug in older versions of GdkRGB. Note, however, that setting it to 0 doesn't let you get away with ignoring the colormap and visual - a colormap is always created in grayscale and direct color modes, and the visual is changed in cases where a "better" visual than the default is available.

- Constructor
  2.12.0.0
  Basic constructor.
- Property
  2.12.0.0
  Gdk.Colormap Get preferred colormap for using Gdk.RGB The preferred . Get the preferred colormap for rendering image data. Not a very useful function; historically, GDK could only render RGB image data to one colormap and visual, but in the current version it can render to any colormap and visual. So there's no need to call this function.
- Method
  2.12.0.0
  System.Boolean `` a To be added a To be added
- Method
  2.12.0.0
  System.Boolean Whether the visual in use by GdkRGB is dithereable. if the visual is ditherable. Determines whether the visual is ditherable. This function may be useful for presenting a user interface choice to the user about which dither mode is desired; if the display is not ditherable, it may make sense to gray out or hide the corresponding UI widget.
- Method
  2.12.0.0
  System.Void `` `` Tthe colormap for the graphics context and drawable you're using to draw. If you're drawing to a , use the property. Color should have its red, green, and blue fields initialized. Fetches a color to be used on the given colormap. This routine will fill in the pixel field with the best matching pixel from a color cube. The color is then ready to be used for drawing, e.g. you can use which expects the pixel to be initialized.

  In many cases, you can avoid this whole issue by setting the or , which do not expect pixel to be initialized in advance. If you use those functions, there's no need for using FindColor.

- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a a To be added To be added
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a a To be added To be added
- Method
  2.12.0.0
  System.Obsolete
  System.Void To be added To be added
- Property
  2.12.0.0
  System.Boolean Whether to install a private colormap for Gdk.RGB a If the value is , it directs GdkRGB to always install a new "private" colormap rather than trying to find a best fit with the colors already allocated. Ordinarily, GdkRGB will install a colormap only if a sufficient cube cannot be allocated.

  A private colormap has more colors, leading to better quality display, but also leads to the dreaded "colormap flashing" effect.

- Property
  2.12.0.0
  System.Int32 The minimum number of colors for this colormap. a Sets the minimum number of colors for the color cube. Generally, GdkRGB tries to allocate the largest color cube it can. If it can't allocate a color cube at least as large as min_colors, it installs a private colormap.
- Property
  2.12.0.0
  System.Boolean Whether or not to be verbose to the console about actions. Useful for debugging. a
- Property
  2.12.0.0
  Gdk.Visual The preferred visual for GdkRGB operations. a Gets a "preferred visual" chosen by GdkRGB for rendering image data on the default screen. In previous versions of GDK, this was the only visual GdkRGB could use for rendering. In current versions, it's simply the visual GdkRGB would have chosen as the optimal one in those previous versions. GdkRGB can now render to drawables with any visual.
- Method
  2.12.0.0
  System.Obsolete
  System.UInt64 `` a To be added a To be added